import type { AlignPropType, PopoverAPI, PopoverCallbacksPropType, PopoverStates, ShowPropType } from '../../schema';
import type { JSX } from '../../stencil-public-runtime';
export declare class KolPopover implements PopoverAPI {
    private arrowElement?;
    private popoverElement?;
    private triggerElement?;
    private host?;
    private showPopover;
    private hidePopover;
    private hidePopoverByEscape;
    private hidePopoverByClickOutside;
    private addListenersToBody;
    private removeListenersToBody;
    private catchHostAndTriggerElement;
    private catchPopoverElement;
    private catchArrowElement;
    render(): JSX.Element;
    _align?: AlignPropType;
    _on?: PopoverCallbacksPropType;
    _show?: boolean;
    state: PopoverStates;
    validateAlign(value?: AlignPropType): void;
    validateOn(value?: PopoverCallbacksPropType): void;
    validateShow(value?: ShowPropType): void;
    componentWillLoad(): void;
}
